package org.ucam.srcf.assassins.xml;

import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Map;
import java.util.Stack;

import org.xml.sax.Attributes;

/**
 * Parse an email xml file, insert data in suitable position
 * Must be suitable for 'sendmail -bS' input (batched SMTP format).
 * @author Mike Cripps
 */
public class EmailHandler extends Handler {

	public EmailHandler(OutputStream target, Map state, Map plugins) {
		super(target, state, plugins);
		this.out = new PrintWriter(target);
		this.state = state;
		this.plugins = plugins;		
	}
	
	public void startDocument() {
		// Do Nothing Special
	}
	
	public void endDocument() {
		// Do Nothing Special
	}
	
	public void startElement(String name, Attributes atts) {
		if (name.equalsIgnoreCase("list")) {
			currentList = new LinkedList(state.keySet());
			toRemove = new HashSet();
			columns = new HashMap();
			sorter=null;
			pendingFilters=new Stack();
			return;
		}

	}
	
	public void endElement(String name){
		
	}
}
